package net.cijber.pubgrub

import net.cijber.pubgrub.stubs.PackageId
import net.cijber.pubgrub.stubs.Version

data class Incompatibility<P : PackageId, V : Version<V>>(val terms: List<Term<P, V>>, val cause: IncompatibilityCause<P, V>) {
    val isFailure: Boolean
        get() = terms.isEmpty() || (terms.count() == 1 && terms.first().pkg.isRoot);
}