package net.cijber.pubgrub.stubs

import net.cijber.pubgrub.Term

interface PackageRetriever<P: PackageId, V: Version<V>> {
    suspend fun getIncompatibilitiesForVersion(pkg: P, version: V): Iterable<Term<P, V>>
    suspend fun getVersions(pkg: P): Iterable<V>
}