package net.cijber.pubgrub

import net.cijber.pubgrub.packages.PackageSelection
import net.cijber.pubgrub.stubs.PackageId
import net.cijber.pubgrub.stubs.Version

class Assignment<P : PackageId, V : Version<V>>(
    selection: PackageSelection<P, V>,
    exclusive: Boolean,
    val cause: Incompatibility<P, V>? = null,
    val decisionLevel: Int = 0,
    val index: Int = 0
) : Term<P, V>(selection, exclusive) {
    val isDecision: Boolean
        get() = cause == null
}